# EZ_SetDefaultMessageHandler

##

##

##

##

##

    NAME
           EZ_SetDefaultMessageHandler - register the default message
           handler

    SYNOPSIS
           #include <EZ.h>

           typedef struct {
             Atom       messageType;    /* message type   */
             int        messageLength;  /* message length */
             char       *message;       /* the message    */
             int        messageId;      /* message Id     */
             int        replyId;        /* if request, the message id to reply */
             int        isReply;        /* flag whether the message is a reply */
             Window     sender;         /* sender's communication window id  */
             Atom       senderClass;    /* sender's class name */
             Atom       senderInstance; /* sender's instance name */
             int        senderIsSelf;   /* is message originated from the myself? */
           } EZ_Message;

           typedef void (*EZ_MessageHandler)(EZ_Message *msgIn, void *client_data);

           void EZ_SetDefaultMessageHandler(EZ_MessageHandler handler, void *clientData)

    ARGUMENTS
           handler  Specifies a message handler.

           client_data  Specifies an application data to be passed to
           the handler.

    DESCRIPTION
           This  function  sets  the  default  message handler for an
           application. All messages received with no  handlers  will
           be handled by this default message handler.

    SEE ALSO
           EZ_AddMessageHandler(3), EZ_BroadcastMessage(3), EZ_ReplyMessage(3)